com.sun.syndication.feed.synd

## Interface SyndCategory

All Superinterfaces:
  java.lang.Cloneable

All Known Implementing Classes:
  SyndCategoryImpl

    public interface SyndCategory
    extends java.lang.Cloneable

Bean interface for categories of SyndFeedImpl feeds and entries.

### Method Summary

Methods
`java.lang.Object` `clone()` Creates a deep clone of the object.
`java.lang.String` `getName()` Returns the category name.
`java.lang.String` `getTaxonomyUri()` Returns the category taxonomy URI.
`void` `setName(java.lang.String name)` Sets the category name.
`void` `setTaxonomyUri(java.lang.String taxonomyUri)` Sets the category taxonomy URI.

### Method Detail

#### getName

    java.lang.String getName()

Returns the category name.

Returns:
  the category name, null if none.

#### setName

    void setName(java.lang.String name)

Sets the category name.

Parameters:
  `name` - the category name to set, null if none.

#### getTaxonomyUri

    java.lang.String getTaxonomyUri()

Returns the category taxonomy URI.

Returns:
  the category taxonomy URI, null if none.

#### setTaxonomyUri

    void setTaxonomyUri(java.lang.String taxonomyUri)

Sets the category taxonomy URI.

Parameters:
  `taxonomyUri` - the category taxonomy URI to set, null if none.

#### clone

    java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep clone of the object.

Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.